<table class="table table-striped">
  <tr>
    <th>#</th>
    <th>First Name</th>
    <th>Last Name</th>
    <th>Email Address</th>
    <th></th>
  </tr>

  <tr *ngFor="let user of users; let i = index">
    <td>{{ i + 1 }}</td>
    <td>{{ user.firstname }}</td>
    <td>{{ user.lastname }}</td>
    <td>{{ user.emailaddress }}</td>
    <td>
      <div class="btn-group">
        <a routerLink="{{ user._id }}" type="button" class="btn btn-sm btn-outline-primary">Details</a>
        <div *ngIf="userLogedIn">
          <button *ngIf="userLogedIn!._id == user._id" (click)="Delete(user._id)" type="button"
            class="btn btn-sm btn-outline-danger">Delete</button>
        </div>
      </div>
    </td>
  </tr>
</table>